<?xml version="1.0" encoding="ISO-8859-1" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>WTP PMC Minutes for April 19, 2005 Conference Call</title>
</head>
<body
    alink="#ff0000"
    bgcolor="#ffffff"
    link="#0000ee"
    text="#000000"
    vlink="#551a8b">
<table
    border="0"
    cellpadding="2"
    cellspacing="5"
    width="100%">
    <tbody>
        <tr>
            <td
                colspan="2"
                align="left"
                bgcolor="#0080c0"
                valign="top"><b> <font
                color="#ffffff"
                face="Arial,Helvetica">PMC Conference Call - April 19, 2005</font></b></td>
        </tr>
    </tbody>
</table>
<table
    border="0"
    cellpadding="2"
    cellspacing="5"
    width="100%">
    <tbody>
        <tr>
            <td>
            <p>WTP PMC Minutes for April 19, 2005 Conference Call</p>
            Attending: Tim Wagner [TW], David Williams [DW], Arthur Ryman [AR], Dominique De Vito [DD], Jochen Krause
            [JK], Naci Dai [ND] Others: Lawrence Mandel (representing WTP community) [LM]
            <h1>WTP PMC Minutes for April 19, 2005 Conference Call</h1>
            <h2>Procedural matters</h2>
            <ul>
                <li>[TW] Bjorn Freeman-Benson has requested that the WTP PMC accept his resignation; due to his
                other EMO commitments, he can no longer continue to participate in this forum. The PMC gratefully
                acknowledges Bjorn's contributions and thanks him for his work on the WTP's behalf.</li>
            </ul>
            <h2>Community [AR/LM]</h2>
            <ul>
                <li>Help system update: IBM docs team unable to contribute user documentation. WTP will need to
                resource its help needs, prioritizing scenarios first, followed by reference information. Starting from
                scratch will enable us to exploit dynamic (context-sensitive) help from 3.1 platform.</li>
                <li>Lawrence Mandel will be taking on the role of user documentation editor.</li>
                <li>Upcoming events: Colorado Software Summit, EclipseWorld</li>
            </ul>
            [PMC members only for the remaining portion of the meeting]
            <h2>API Review</h2>
            <ul>
                <li>PMC reviewed API statistics</li>
                <li>Issue: J2EE model (1,581 APIs) consists of generated models. Reported test coverage is low
                (22%); actual coverage is higher -- many APIs are hit via reflection. Jeffrey Liu will be investigating
                more accurate analysis of its test coverage this week (via tracing). Discussed whether "raw" EMF model
                should be exposed as WTP API versus wrapping this in public facade (we cannot prevent generated public
                methods from leaking into our API). M5 will provide a public review period in which we can assess
                whether the community is content with WTP committing to EMF in its API.</li>
                <li>Issue: JST Server component tests at 39% (only other non-green component); remaining tests are
                due to generic server (however, substantial use of this area has occurred).</li>
                <li>Issue: Data tools has not completed internal naming convention change due to product
                interaction (requesting delay until early May to achieve renaming).</li>
                <li>WTP extension points must be clearly documented as in/out of public API.</li>
                <li>Continued progress on eliminating APIs: total number of APIs dropped from 3,349 to 2,583.
                Overall metric for 4/19 build is 66.</li>
                <li>Summary from April 19th build report: 45% JUnit coverage, 97% JavaDoc coverage, 2/9 overview
                docs. See <a
                    href='http://download.eclipse.org/webtools/downloads/drops/I-I20050419-200504190713/apitools/api-progress.html'>
                http://download.eclipse.org/webtools/downloads/drops/I-I20050419-200504190713/apitools/api-progress.html</a>.
                </li>
            </ul>
            <h2>M4 Readiness</h2>
            <ul>
                <li>Build created, although there were some failing tests in server connectivity (will require
                rebuild).</li>
                <li><b><font color="#ff0000">Schedule will be slipped one week; M4 now targeted for
                4/29.</font></b></li>
                <li>Delay will enable integration of 3PC into download to improve user experience.</li>
                <li>We are already on milestone builds for all prerequisites that provide them (EMF and JEM do
                not); we are also copying them to ensure integrity of our own downloads.</li>
                <li>Bundled ZIP of WTP and its transitive prerequisites will be available for milestone build
                (already there in build system).</li>
                <li>Discussed creating a release engineering distribution list for WTP to separate out the build
                and test notification traffic.</li>
            </ul>
            <h2>Requirements Group Report [JK]</h2>
            <ul>
                <li>Discussed process of getting to themes and priorities; plan to use Bugzilla, but feel that a
                better requirements tracking tool/reporting solution is needed.</li>
                <li>We may need to change our milestone tracking methodology slightly to conform to Bugzilla; will
                report back on this as more info emerges.</li>
            </ul>
            <h2>Architecture Group Report [DW]</h2>
            <ul>
                <li>No meeting last week; nothing new to report. Still looking for overview documents from
                component leads.</li>
                <li>Concerns about flexible project model: ultimately belongs in base, and team proposing API is
                also primary consumer; may not have sufficient community validation in terms of process.</li>
            </ul>
            <h2>EJB 3.0 Interaction with WTP [DD]</h2>
            <ul>
                <li>Planning problems in terms of interaction with other EJB 3.0 projects and WTP 1.1 schedule.</li>
                <li>Questions raised about the rules for when technologies incubate separately versus inside an
                established project (need to be addressed by the EMO).</li>
                <li>Ivelin and Jochen can be points of contact within WTP.</li>
            </ul>
            <h2>Backport of WTP M3 to 3.0.2 by Innoopract. [JK]</h2>
            <ul>
                <li>Makes several features available to users who cannot move to 3.1.</li>
                <li>Excludes web services and RDB.</li>
            </ul>
            <h2>Action Items:</h2>
            <ul>
                <li>ND: Create new mail list for release engineering traffic and update our mail page and EMO mail
                page with addition.</li>
                <li>AR: Notify mailing list and newsgroup of schedule slip.</li>
                <li>TW: Notify EMO of schedule slip.</li>
            </ul>
            <small>Minutes taken by Tim Wagner, April 19, 2005</small></td>
        </tr>
        <tr>
            <td>&#160;</td>
        </tr>
    </tbody>
</table>
</body>
</html>
